Modify

Opened 6 years ago

Last modified 3 years ago

#3337 reopened defect

0 bytes PDFs on 0.11

Reported by: romel Owned by: diorgenes
Priority: normal Component: TracWikiToPdfPlugin
Severity: critical Keywords:
Cc: Trac Release: 0.11

Description

I installed WikiToPdf plugin in Trac 0.11 and when I try to get the PDF via WikiToPdf link in the bottom or via admin I got a 0 bytes PDF file.

This does not happen with Trac 0.10

Attachments (0)

Change History (41)

comment:1 follow-up: Changed 6 years ago by dferg

I agree. On 0.11rc2 I get a 0 byte pdf from the WikiToPdf link. However, if I try to use the admin interface, I get an error:

"You're using a plugin which requires the Clearsilver template engine and Clearsilver is not installed. Either disable that plugin or install Clearsilver."

I have not tried it on 0.10.

comment:2 in reply to: ↑ description ; follow-up: Changed 6 years ago by diorgenes

Replying to romel:

I installed WikiToPdf plugin in Trac 0.11 and when I try to get the PDF via WikiToPdf link in the bottom or via admin I got a 0 bytes PDF file.

This does not happen with Trac 0.10


Hi Romel

Do you install htmldoc? What is your system? If Linux, what is your distribution?

Your configuration's file (trac.ini) is correct?

I need more information for help you.

My installation have:

  • Genshi-0.5-py2.4-linux-i686.egg
  • TracWikiToPdfPlugin-2.0-py2.4.egg
  • Trac0.11

comment:3 in reply to: ↑ 1 Changed 6 years ago by diorgenes

Replying to dferg:

I agree. On 0.11rc2 I get a 0 byte pdf from the WikiToPdf link. However, if I try to use the admin interface, I get an error:

"You're using a plugin which requires the Clearsilver template engine and Clearsilver is not installed. Either disable that plugin or install Clearsilver."

I have not tried it on 0.10.


...Either disable that plugin or install Clearsilver.

It is need install Genshi (Clearsilver).

http://genshi.edgewall.org/

http://trac.edgewall.org/wiki/ClearSilver

comment:4 in reply to: ↑ 2 ; follow-ups: Changed 6 years ago by anonymous

Replying to diorgenes:

Replying to romel:

I installed WikiToPdf plugin in Trac 0.11 and when I try to get the PDF via WikiToPdf link in the bottom or via admin I got a 0 bytes PDF file.

This does not happen with Trac 0.10


Hi Romel

Do you install htmldoc?

Yes htmldoc 1.8.25,REV=2006.02.09

What is your system? If Linux, what is your distribution?

It's not Linux, it's Solaris 10

Your configuration's file (trac.ini) is correct?

I think so. I commented some lines from the example that I don't understand

[components]
wikitopdf.* = enabled

[wikitopdf]
#base_dir = /var/projects/wikitopdf
titlefile = /var/projects/wikitopdf/cover/cover.html

[wikitopdf-admin]
size = A4
right = 1.5cm
left = 1.5cm
top = 1.5cm
bottom = 1.5cm
no-links = None
toctitle = Sumary
numbered = None
linkstyle = plain
#header = l
#footer = .r1
logoimage = /var/projects/wikitopdf/header-logo.png

[wikitopdf-page]
size = A4
right = 1.5cm
left = 1.5cm
top = 1.5cm
bottom = 1.5cm
no-links = None
linkstyle = plain
#header = l
#footer = .r1
logoimage = /var/projects/wikitopdf/header-logo.png

Files and directories on the trac.ini (like header-logo.png) are the ones provided as example in WikiToPdf .zip.

I need more information for help you.

My installation have:

  • Genshi-0.5-py2.4-linux-i686.egg
  • TracWikiToPdfPlugin-2.0-py2.4.egg
  • Trac0.11

Mine have:

comment:5 in reply to: ↑ 4 Changed 6 years ago by diorgenes

  • Status changed from new to assigned

Replying to anonymous:

Replying to diorgenes:

Replying to romel:

I installed WikiToPdf plugin in Trac 0.11 and when I try to get the PDF via WikiToPdf link in the bottom or via admin I got a 0 bytes PDF file.

This does not happen with Trac 0.10


Hi Romel

Do you install htmldoc?

Yes htmldoc 1.8.25,REV=2006.02.09

What is your system? If Linux, what is your distribution?

It's not Linux, it's Solaris 10

Your configuration's file (trac.ini) is correct?

I think so. I commented some lines from the example that I don't understand

[components]
wikitopdf.* = enabled

[wikitopdf]
#base_dir = /var/projects/wikitopdf
titlefile = /var/projects/wikitopdf/cover/cover.html

[wikitopdf-admin]
size = A4
right = 1.5cm
left = 1.5cm
top = 1.5cm
bottom = 1.5cm
no-links = None
toctitle = Sumary
numbered = None
linkstyle = plain
#header = l
#footer = .r1
logoimage = /var/projects/wikitopdf/header-logo.png

[wikitopdf-page]
size = A4
right = 1.5cm
left = 1.5cm
top = 1.5cm
bottom = 1.5cm
no-links = None
linkstyle = plain
#header = l
#footer = .r1
logoimage = /var/projects/wikitopdf/header-logo.png

Files and directories on the trac.ini (like header-logo.png) are the ones provided as example in WikiToPdf .zip.

I need more information for help you.

My installation have:

  • Genshi-0.5-py2.4-linux-i686.egg
  • TracWikiToPdfPlugin-2.0-py2.4.egg
  • Trac0.11

Mine have:


Hi

#base_dir = /var/projects/wikitopdf

base_dir is the Apache DocumentRoot, It is need to get PDF files with images.

size = A4 right = 1.5cm left = 1.5cm top = 1.5cm bottom = 1.5cm no-links = None linkstyle = plain #header = l #footer = .r1 logoimage = /var/projects/wikitopdf/header-logo.png

HTMLDOC options. See the link below.

http://www.htmldoc.org/htmldoc.html#CMDREF

comment:6 in reply to: ↑ 4 Changed 6 years ago by diorgenes

Replying to anonymous:

Replying to diorgenes:

Replying to romel:

I installed WikiToPdf plugin in Trac 0.11 and when I try to get the PDF via WikiToPdf link in the bottom or via admin I got a 0 bytes PDF file.

This does not happen with Trac 0.10


Hi Romel

Do you install htmldoc?

Yes htmldoc 1.8.25,REV=2006.02.09

What is your system? If Linux, what is your distribution?

It's not Linux, it's Solaris 10

Your configuration's file (trac.ini) is correct?

I think so. I commented some lines from the example that I don't understand

> [components]
> wikitopdf.* = enabled
> 
> [wikitopdf]
> #base_dir = /var/projects/wikitopdf
> titlefile = /var/projects/wikitopdf/cover/cover.html
> 
> [wikitopdf-admin]
> size = A4
> right = 1.5cm
> left = 1.5cm
> top = 1.5cm
> bottom = 1.5cm
> no-links = None
> toctitle = Sumary
> numbered = None
> linkstyle = plain
> #header = l
> #footer = .r1
> logoimage = /var/projects/wikitopdf/header-logo.png
> 
> [wikitopdf-page]
> size = A4
> right = 1.5cm
> left = 1.5cm
> top = 1.5cm
> bottom = 1.5cm
> no-links = None
> linkstyle = plain
> #header = l
> #footer = .r1
> logoimage = /var/projects/wikitopdf/header-logo.png

Files and directories on the trac.ini (like header-logo.png) are the ones provided as example in WikiToPdf .zip.

I need more information for help you.

My installation have:

  • Genshi-0.5-py2.4-linux-i686.egg
  • TracWikiToPdfPlugin-2.0-py2.4.egg
  • Trac0.11

Mine have:


Hi

> #base_dir = /var/projects/wikitopdf
base_dir is the Apache DocumentRoot, It is need to get PDF files with images.

> size = A4
> right = 1.5cm
> left = 1.5cm
> top = 1.5cm
> bottom = 1.5cm
> no-links = None
> linkstyle = plain
> #header = l
> #footer = .r1
> logoimage = /var/projects/wikitopdf/header-logo.png
HTMLDOC options. See the link below.

http://www.htmldoc.org/htmldoc.html#CMDREF

comment:7 follow-up: Changed 6 years ago by jcole@…

  • Severity changed from normal to critical

I'm getting the same thing:

Trac: 0.11 Python: 2.5.1 (r251:54863, Apr 18 2007, 08:51:08) [MSC v.1310 32 bit (Intel)] setuptools: 0.6c7 SQLite: 3.3.4 pysqlite: 2.3.2 Genshi: 0.5.1 mod_python: 3.3.1 Pygments: 0.9 Subversion: 1.4.6 (r28521) jQuery: 1.2.3 HTMLDOC Version 1.8.24 Open Source

Turnning on Trac logging, I get the following in the log file: 2008-07-16 14:10:02,194 Trac[wikitopdf] DEBUG: WikiToPdf => HTML output for WikiToPdf in charset: iso-8859-1 2008-07-16 14:10:02,194 Trac[wikitopdf] DEBUG: WikiToPdf => HTML intput for WikiToPdf: = The Sandbox =

This is just a page to practice and learn WikiFormatting.

Go ahead, edit it freely. 2008-07-16 14:10:02,194 Trac[wikitopdf] DEBUG: WikiToPdf => Html code: '<h1 id="TheSandbox">The Sandbox</h1>\r\n<p>\r\nThis is just a page to practice and learn <a class="wiki" href="/Software/wiki/WikiFormatting">WikiFormatting</a>. \r\n</p>\r\n<p>\r\nGo ahead, edit it freely.\r\n</p>\r\n' 2008-07-16 14:10:02,194 Trac[wikitopdf] DEBUG: WikiToPdf => Htmldoc code out: --footer .r1 --right 1in --no-links None --format pdf14 --webpage --top 1in --charset iso-8859-1 --bottom 1in --logoimage C:\Python25\Lib\site-packages\trac\htdocs\trac_banner.png --header l --left 1in --linkstyle plain --size Letter 2008-07-16 14:10:02,240 Trac[main] DEBUG: 391 unreachable objects found.

If I take the 'HTML code', and put it in a file, and run HTMLDoc on the file with the settings from 'Html Code Out', I get a good PDF file.

comment:8 in reply to: ↑ 7 ; follow-up: Changed 6 years ago by diorgenes

Hi Jcole

What operating system are you using? Windows? This plugin has not yet been tested in the windows...

You tested both forms of generating PDF? What happened them the error(Combining wiki pages or Single page)?

Diorgenes F. Grzesiuk

Replying to jcole@carinatek.com:

I'm getting the same thing: ...

comment:9 in reply to: ↑ 8 Changed 6 years ago by jcole@…

What operating system are you using? Windows? This plugin has not yet been tested in the windows...

Windows 2003 Server.

You tested both forms of generating PDF? What happened them the error(Combining wiki pages or Single page)?

I'm only trying the TracWikiToPDF at the bottom of a page, so I assume that is the single page. I can't run the admin plugin because I don't have clearsilver installed (I couldn't find a windows binary for Python 2.5).

I added two log lines:

os.system('htmldoc %s %s -f %s' % (args_string, hfilename, pfilename)) self.env.log.debug('WikiToPdf => Htmldoc done hfilename: %s' % hfilename) self.env.log.debug('WikiToPdf => Htmldoc done pfilename: %s' % pfilename)

and now it seems to be working... Hmmm.

comment:10 follow-up: Changed 6 years ago by mikon

The same "Either disable that plugin or install Clearsilver" message here on Ubuntu with Genshi (Genshi-0.5.1-py2.5-linux-i686.egg and Genshi-0.6dev_r0-py2.5-linux-i686.egg) and 0.11 and a lot of plugins working OK.

comment:11 in reply to: ↑ 10 Changed 6 years ago by diorgenes

Replying to mikon:

The same "Either disable that plugin or install Clearsilver" message here on Ubuntu with Genshi (Genshi-0.5.1-py2.5-linux-i686.egg and Genshi-0.6dev_r0-py2.5-linux-i686.egg) and 0.11 and a lot of plugins working OK.


Hi everyone!

This problem occurs when you try to generate the PDF book? If yes, verify the Wiki pages contains the titles format. Ex:

Code wiki page

= Title =
description

== Sub-Title ==
description

The error appear because not find the title formated the wiki pages.

Regards

Diorgenes F. Grzesiuk

comment:12 Changed 6 years ago by diorgenes

  • Resolution set to fixed
  • Status changed from assigned to closed

I hope was correction this.

comment:13 follow-up: Changed 6 years ago by MTitsworth

  • Resolution fixed deleted
  • Status changed from closed to reopened

Hi, still the same problem here (Trac 0.11, Genshi 0.5.1, htmldoc-1.9.x-r1563, clearsilver 0.10.5). I've gone through and checked and every wiki page has a properly formatted title.

comment:14 in reply to: ↑ 13 ; follow-up: Changed 6 years ago by MTitsworth

Replying to MTitsworth:

Hi, still the same problem here (Trac 0.11, Genshi 0.5.1, htmldoc-1.9.x-r1563, clearsilver 0.10.5). I've gone through and checked and every wiki page has a properly formatted title.

Trac.ini section looks like:

[wikitopdf]
base_dir = /home/matthew/Trac/Project/htdocs/
pathtocover = /home/matthew/Trac/Project/wikitopdf/
titlefile = /home/matthew/Trac/Project/wikitopdf/cover.html

[wikitopdf-admin]
size = A4
right = 1.5cm
left = 1.5cm
top = 1.5cm
bottom = 1.5cm
no-links = None
toctitle = Sumary
numbered = None
linkstyle = plain
#header = l
#footer = .r1
logoimage = site/logo.png

[wikitopdf-page]
size = A4
right = 1.5cm
left = 1.5cm
top = 1.5cm
bottom = 1.5cm
no-links = None
linkstyle = plain
#header = l
#footer = .r1
logoimage = site/logo.png

comment:15 in reply to: ↑ 14 ; follow-up: Changed 6 years ago by diorgenes

Hi MTitsworth

The plugin TracWikiToPdfPlugin not necessary use clearsilver, but optional if some plugins require it.

I realy need more information about your problem!

Do you usually the new version plugin (2.2.1)? Which format are you using (combining wiki pages or single page)?

Describe your procedure...

Regards

Diorgenes F. Grzesiuk

Replying to MTitsworth:

Replying to MTitsworth:

Hi, still the same problem here (Trac 0.11, Genshi 0.5.1, htmldoc-1.9.x-r1563, clearsilver 0.10.5). I've gone through and checked and every wiki page has a properly formatted title.

Trac.ini section looks like:

[wikitopdf]
base_dir = /home/matthew/Trac/Project/htdocs/
pathtocover = /home/matthew/Trac/Project/wikitopdf/
titlefile = /home/matthew/Trac/Project/wikitopdf/cover.html

[wikitopdf-admin]
size = A4
right = 1.5cm
left = 1.5cm
top = 1.5cm
bottom = 1.5cm
no-links = None
toctitle = Sumary
numbered = None
linkstyle = plain
#header = l
#footer = .r1
logoimage = site/logo.png

[wikitopdf-page]
size = A4
right = 1.5cm
left = 1.5cm
top = 1.5cm
bottom = 1.5cm
no-links = None
linkstyle = plain
#header = l
#footer = .r1
logoimage = site/logo.png

comment:16 in reply to: ↑ 15 ; follow-up: Changed 6 years ago by MTitsworth

I just tried including the new version built from source(TracWikiToPdfPlugin-2.2.1-py2.5.egg) and still the same problem as the other posters:

For combining wiki pages in the admin area I get "You're using a plugin which requires the Clearsilver template engine and Clearsilver is not installed. Either disable that plugin or install Clearsilver."

For trying to export a single page to PDF I get a 0 byte PDF file.

I tried using the pre-built egg in the directory (TracWikiToPdfPlugin-2.2.1-py2.4.egg) just for kicks and it wouldn't run.

Operating system is CentOS 5 Linux.

comment:17 in reply to: ↑ 16 Changed 6 years ago by diorgenes

Replying to MTitsworth:

Well, This is really strange...

Can you new installation do clean the Trac and WikiToPDF in other server?

If yes, please return its result here.

Regards

Diorgenes F. Grzesiuk

comment:18 follow-up: Changed 6 years ago by MTitsworth

I just rebuilt and installed trac, then setup a separate testing project with just the wikitopdf plugin, and I'm still getting the same two errors.

Matthew.

comment:19 in reply to: ↑ 18 Changed 6 years ago by diorgenes

Replying to MTitsworth:

Ok, I achieve display your error. I am going to make new corrections.

Thanks

Regards

Diorgenes F. Grzesiuk

comment:20 follow-up: Changed 6 years ago by diorgenes

You need install the package python-clearsilver. Because the plugin TracWikiToPdf yet need package template.

The Trac 0.11 use new template package. I will re-write my code for use Genshi template, but I need before learn to use the template package.

Regards

Diorgenes F. Grzesiuk

comment:21 in reply to: ↑ 20 ; follow-up: Changed 6 years ago by anonymous

Replying to diorgenes:

You need install the package python-clearsilver. Because the plugin TracWikiToPdf yet need package template.

The Trac 0.11 use new template package. I will re-write my code for use Genshi template, but I need before learn to use the template package.

Regards

Diorgenes F. Grzesiuk

This is proving to be annoying. I installed python-clearsilver with no luck. went back and have now done a full reinstall of both clearsilver and python clearsilver. Am currently rebuilding and installing htmldoc, and will then rebuild the egg from source. hopefully it will work after that.

comment:22 in reply to: ↑ 21 Changed 6 years ago by anonymous

Replying to anonymous:

Replying to diorgenes:

You need install the package python-clearsilver. Because the plugin TracWikiToPdf yet need package template.

The Trac 0.11 use new template package. I will re-write my code for use Genshi template, but I need before learn to use the template package.

Regards

Diorgenes F. Grzesiuk

This is proving to be annoying. I installed python-clearsilver with no luck. went back and have now done a full reinstall of both clearsilver and python clearsilver. Am currently rebuilding and installing htmldoc, and will then rebuild the egg from source. hopefully it will work after that.

I just rebuilt and installed htmldoc, and then rebuilt the egg from source and still no dice.

comment:23 Changed 6 years ago by jackey

Same problem on my Mac. Python 2.5 Genshi 0.5.0 (py25) clearsilver 0.10.5 Trac 0.11

comment:24 follow-up: Changed 6 years ago by jackey

2008-10-02 18:46:03,590 Trac[wikitopdf] DEBUG: WikiToPdf => Finish function wiki_to_pdf 2008-10-02 18:46:03,590 Trac[wikitopdf] DEBUG: WikiToPdf => Start function html_to_pdf 2008-10-02 18:46:03,591 Trac[wikitopdf] DEBUG: WikiToPdf => Htmldoc command line: htmldoc --footer .r1 --right 1.5cm --no-links None --format pdf14 --webpage --top 1.5cm --charset iso-8859-15 --bottom 1.5cm --logoimage /opt/local/apache2/htdocs/AMT_logo.png --header l --left 1.5cm --linkstyle plain --size A4 /var/folders/zz/zzzivhrRnAmviuee++++FU+++2M/-Tmp-/tmpnYmThMwikitopdf -f /var/folders/zz/zzzivhrRnAmviuee++++FU+++2M/-Tmp-/tmpMmwHtzwikitopdf 2008-10-02 18:46:03,598 Trac[wikitopdf] DEBUG: WikiToPdf => Finish function html_to_pdf 2008-10-02 18:46:03,644 Trac[main] DEBUG: 10498 unreachable objects found.

comment:25 in reply to: ↑ 24 Changed 6 years ago by diorgenes

Replying to jackey:

2008-10-02 18:46:03,590 Trac[wikitopdf] DEBUG: WikiToPdf => Finish function wiki_to_pdf 2008-10-02 18:46:03,590 Trac[wikitopdf] DEBUG: WikiToPdf => Start function html_to_pdf 2008-10-02 18:46:03,591 Trac[wikitopdf] DEBUG: WikiToPdf => Htmldoc command line: htmldoc --footer .r1 --right 1.5cm --no-links None --format pdf14 --webpage --top 1.5cm --charset iso-8859-15 --bottom 1.5cm --logoimage /opt/local/apache2/htdocs/AMT_logo.png --header l --left 1.5cm --linkstyle plain --size A4 /var/folders/zz/zzzivhrRnAmviuee++++FU+++2M/-Tmp-/tmpnYmThMwikitopdf -f /var/folders/zz/zzzivhrRnAmviuee++++FU+++2M/-Tmp-/tmpMmwHtzwikitopdf 2008-10-02 18:46:03,598 Trac[wikitopdf] DEBUG: WikiToPdf => Finish function html_to_pdf 2008-10-02 18:46:03,644 Trac[main] DEBUG: 10498 unreachable objects found.

Hi Jackey

I don't do test TracWikiToPdf on Mac! I need more details for help you!

Regards

Diorgenes F. Grzesiuk

comment:26 Changed 6 years ago by anonymous

Hi I have installed TracWikiToPdf on Windows. This just gives empty page, not even a download. Just to install the windows binary is enough? How does the plugin find this binary?

comment:27 follow-up: Changed 6 years ago by simon@…

do i still need to install python_clearsilver to print multiple pages using this plugin? would it be possible to get the status of the genshi implementation. thx!

comment:28 in reply to: ↑ 27 Changed 6 years ago by anonymous

Replying to simon@methodics-eda.com:

do i still need to install python_clearsilver to print multiple pages using this plugin? would it be possible to get the status of the genshi implementation. thx!

Yes, the package python_clearsilver is necessary, i don't know about status of the genshi implementation, but i think implementation its wasn't started.

comment:29 Changed 6 years ago by alex_reality

Hi, everyone.

I've experienced the same problem on a freebsd system. Here is my conf:

[wikitopdf]
base_dir = /usr/local/www/trac/htdocs
folder_name = prtls2
link = http://www.server.com/trac/prtls2
titlefile = /usr/local/www/trac/htdocs

[wikitopdf-admin]
bottom = 1.5cm
footer = .r1
header = 1
left = 1.5cm
linkstyle = plain
logoimage = /usr/local/www/trac/prtls2/logo.png
no-links = None
numbered = None
right = 1.5cm
size = A4
toctitle = Summary
top = 1.5cm

[wikitopdf-page]
bottom = 1.5cm
footer = .r1
header = 1
left = 1.5cm
linkstyle = plain
logoimage = /usr/local/www/trac/prtls2/logo.png
no-links = None
numbered = None
right = 1.5cm
size = A4
toctitle = Summary
top = 1.5cm

I have installed: Trac-0.11.3 Genshi-0.5.1 trac-wikitopdf-2.2.2 htmldoc 1.8.27 clearsilver-0.10.5

Can anyone tell me what's wrong?

Thanks in advance, alex

comment:30 Changed 6 years ago by anonymous

hehe same here, FreeBSD 7.0, trac-0.11.2, wikitopdf 2.2.2, htmldoc-1.8.27_3, clearsilver-python-0.10.5

comment:31 Changed 5 years ago by MartinBeyer

Hi, we installed it on Windows 2003 as a service. The details are probably irrelevant: we integrated trac with Subversion, with an Apache httpd interface, using the Collabnet Subversion Distribution.

When the service is started under the system account, WikiToPdf generates empty PDF files. The temporary HTML file is generated correctly (I commented out the unlink command to see it). HTMLDOC is called correctly or at least the logfile says so. The PDF file is generated, but it is empty.

When HTMLDOC is called manually it correctly generates the PDF.

Starting the service with an admin account instead of the Windows system account solved the problem at our installation, both for using WikiToPdf on single pages and via the Admin panel. Regards, Martin.

comment:32 Changed 5 years ago by anonymous

Over here, 0 byte PDF when using admin interface multi-page PDF, but not when using single page. If I create a single page doc in admin interface, 0 byte. Same page generated from the page itself, works.

Oddly, this is only on one of the trac sites, even though the two have identical trac.ini and a check of permissions seems to show they are the same.

Using latest version of wikitopdf.

comment:33 Changed 5 years ago by anonymous

With my problem, seems to be content related. Will try to narrow it down. The site with the 0 byte PDF in admin interface does seem to be page dependent.

comment:34 Changed 5 years ago by anonymous

BINGO.

WikiToPDF fails ONLY if the page did not includes a title in wiki syntax. That is, = Page Title =

I imagine some internal logic was requiring it for building the document index.

comment:35 Changed 5 years ago by izzy

I just had a similar problem today. It turned out it could not write to /tmp/htmldoc/. However that happened: There was no such directory, but a file by the very same name (/tmp/htmldoc). Removing that file solved the issue for me.

From above comments, I'm pretty sure this will not help all of you - but it might be worth a look at least.

comment:36 Changed 5 years ago by izzy

One more source to check: I just figured out the "0 byte prob" also happens when the defined cover pages do not exist, so you might want to check that as well.

comment:37 Changed 4 years ago by anonymous

You should install clearsilver and python-clearsilver. both packages.

comment:38 Changed 3 years ago by megurushi

I haven't been able to fix this either, anyone tried lately with success? My dependancies seem fine:

Processing dependencies for TracWikiToPdfPlugin==2.3.1
Searching for trac==0.11.6stable-r8591
Best match: trac 0.11.6stable-r8591
Processing trac-0.11.6stable_r8591-py2.5.egg
trac 0.11.6stable-r8591 is already the active version in easy-install.pth
Installing trac-admin-script.py script to c:\tools\python25\Scripts
Installing trac-admin.exe script to c:\tools\python25\Scripts
Installing tracd-script.py script to c:\tools\python25\Scripts
Installing tracd.exe script to c:\tools\python25\Scripts

Using c:\tools\python25\lib\site-packages\trac-0.11.6stable_r8591-py2.5.egg
Searching for Genshi==0.5.1
Best match: Genshi 0.5.1
Processing genshi-0.5.1-py2.5-win32.egg
genshi 0.5.1 is already the active version in easy-install.pth

Using c:\tools\python25\lib\site-packages\genshi-0.5.1-py2.5-win32.egg
Searching for setuptools==0.6c9
Best match: setuptools 0.6c9
Processing setuptools-0.6c9-py2.5.egg
setuptools 0.6c9 is already the active version in easy-install.pth
Installing easy_install-script.py script to c:\tools\python25\Scripts
Installing easy_install.exe script to c:\tools\python25\Scripts
Installing easy_install-2.5-script.py script to c:\tools\python25\Scripts
Installing easy_install-2.5.exe script to c:\tools\python25\Scripts

Using c:\tools\python25\lib\site-packages\setuptools-0.6c9-py2.5.egg
Finished processing dependencies for TracWikiToPdfPlugin==2.3.1

comment:39 Changed 3 years ago by rjollos

(In [11470]) Refs #3337:

  • Check for existence and version of HTMLDOC, and give a nice error message if HTMLDOC is not installed. The version of HTMLDOC is written to the log file.

comment:40 Changed 3 years ago by rjollos

(In [11473]) Refs #3337:

  • subprocess.check_output was introduced in Python 2.7, so we must use subprocess.Popen for now.

comment:41 Changed 3 years ago by anonymous

Thanks to another anonymous user. Adding a = Header 1 = into the pages I wanted to print via the admin interface fixed the problem.

Add Comment

Modify Ticket

Action
as reopened The owner will remain diorgenes.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.